Subject: Re: bug#54371: 29.0.50; read-char does not reset idle timer in some cases

From: Eli Zaretskii <[email-masked]>
Date: Fri, 08 Apr 2022 09:50:53 +0300

> From: Ignacio Casso <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Thu, 07 Apr 2022 13:42:19 +0200
> 
> > Please send the patch, and let's take it from there.
> >
> > Thanks.
> 
> Here is a minor patch that adds a footnote to the "Idle Timers" section
> of the manual. I have not found any docstrings that need to be updated,
> since none of them mention that Emacs becomes idle when it is waiting
> for user input. So as far as I know the only place where a user can find
> that information is either in the "Idle Timers" section or the "Reading
> One Event" section, and the later already mentioned that Emacs becomes idle
> only when waiting for input without a timeout.

Thanks, I installed this with a small change (@footnote is for stuff
that is really minor or off-topic).

> I have also one question regarding patches that modify comments,
> docstrings, or any other text. What is the best practice, to do M-q
> after updating the text, or to try to minimize the number of lines
> changed in the patch, as I did now, even if that results in some shorter
> or longer lines?

It is IMO best not to M-q, because that makes it easier to review the
patch.  The person who actually installs the patch can then decide
whether to M-q before committing.

Thanks.

P.S. Can we close this bug now?